## cairo-dock 3.4.0

=== CMakeLists.txt ===
########### requirements ###############

cmake_minimum_required (VERSION 2.6)
find_package (PkgConfig)
include (CheckLibraryExists)
include (CheckIncludeFiles)
include (CheckFunctionExists)
include (CheckSymbolExists)
include ("${CMAKE_CURRENT_SOURCE_DIR}/cmake_modules/GNUInstallDirs.cmake")

########### project ###############

project ("cairo-dock")
set (VERSION "3.4.0") # no dash, only numbers, dots and maybe alpha/beta/rc, e.g.: 3.3.1 or 3.3.99.alpha1

add_definitions (-std=c99 -Wall -Wextra -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
if (NOT DEFINED CMAKE_BUILD_TYPE)
	add_definitions (-O3)
endif()
add_definitions (-DGL_GLEXT_PROTOTYPES="1")
add_definitions (-DCAIRO_DOCK_DEFAULT_ICON_NAME="default-icon.svg")
add_definitions (-DCAIRO_DOCK_ICON="cairo-dock.svg")
add_definitions (-DCAIRO_DOCK_LOGO="cairo-dock-logo.png")
add_definitions (-DCAIRO_DOCK_DATA_DIR="cairo-dock")
add_custom_target (uninstall "${CMAKE_COMMAND}" -P "${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake")


###########     Misc     ###############
macro (enable_if_not_defined MODULE1)
	if (NOT DEFINED ${MODULE1}) # true if not defined
		set (${MODULE1} TRUE)
	endif ()
endmacro (enable_if_not_defined)


##########     Config    ###############

enable_if_not_defined (force-icon-in-menus)
if (force-icon-in-menus)  # we believe that not showing icons in the menus by default is a terrible idea; unfortunately, it's not easily undoable for an end-user; so until this is fixed by a big player (Gnome, Ubuntu or other), we'll force the display, unless "-Dforce-icon-in-menus=OFF" is provided in the cmake command.
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=1)
else()
	add_definitions (-DCAIRO_DOCK_FORCE_ICON_IN_MENUS=0)
endif()

############ sources tarball ############

set (CPACK_SOURCE_GENERATOR "TGZ")
set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
set (CPACK_SOURCE_IGNORE_FILES 
	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-module-config.h$;/gldi-config.h$;/doc/;/misc/;~$;/TODO$;.pyc$;${CPACK_SOURCE_IGNORE_FILES}")
include (CPack)

add_custom_target( dist
	COMMAND ${CMAKE_MAKE_PROGRAM} package_source)
add_custom_target(dist-bzr
	COMMAND bzr export ${CMAKE_PROJECT_NAME}-${VERSION}.tar.gz
	WORKING_DIRECTORY ${CMAKE_SOURCE_DIR})

########### global variables ###############

if( WIN32 )
	message(FATAL_ERROR "Cairo-Dock requires an air-conditioned room. Please close Windows!")
endif( WIN32 )

set (PACKAGE ${CMAKE_PROJECT_NAME})
set (GETTEXT_PACKAGE ${PACKAGE})

set (prefix ${CMAKE_INSTALL_PREFIX})  # /usr/local
set (exec_prefix ${prefix})
set (datadir "${prefix}/${CMAKE_INSTALL_DATAROOTDIR}")  # (...)/share
set (pkgdatadir "${datadir}/${CMAKE_PROJECT_NAME}")  # (...)/cairo-dock
set (mandir "${prefix}/${CMAKE_INSTALL_MANDIR}")  # (...)/man

if( CMAKE_SIZEOF_VOID_P EQUAL 8 AND (force-lib64 OR "${FORCE_LIB64}" STREQUAL "yes"))  # 64bits and force install in lib64
	set (libdir "${prefix}/lib64")
elseif (NOT "${LIB_SUFFIX}" STREQUAL "")
	set (libdir "${prefix}/lib${LIB_SUFFIX}")  # (...)/libXX ## some distro use ${LIB_SUFFIX}
else()
	set (libdir "${prefix}/${CMAKE_INSTALL_LIBDIR}")  # (...)/lib or (...)/lib64 or custom ## GNU Install dir
endif()

set (includedir "${prefix}/${CMAKE_INSTALL_INCLUDEDIR}")  # (...)/include
set (bindir "${prefix}/${CMAKE_INSTALL_BINDIR}")  # (...)/bin

set (pluginsdir "${libdir}/cairo-dock")
set (pluginsdatadir "${pkgdatadir}/plug-ins")
if (NOT DEFINED install-pc-path)
	set (install-pc-path "${libdir}/pkgconfig")  # it can be different (for example ${CMAKE_INSTALL_PREFIX}/libdata/pkgconfig on BSD)
endif ()

########### dependencies ###############

# check for mandatory dependencies
set (packages_required "glib-2.0 gthread-2.0 cairo librsvg-2.0 dbus-1 dbus-glib-1 libxml-2.0 gl glu libcurl")  # for the .pc and to have details
STRING (REGEX REPLACE " " ";" packages_required_semicolon ${packages_required})  # replace blank space by semicolon => to have more details if a package is missing
pkg_check_modules ("PACKAGE" REQUIRED "${packages_required_semicolon}")

# check for EGL
set (with_egl no)  # although EGL can be used with X (replacing GLX), it requires drivers that support DRI2, so most of the time GLX works better; so it's disabled by default for now; later, it will be required for Wayland, and we'll have to decide whether we compile with both, or whether we load one of them as a plug-in at run-time. It may depend on EGL having been built to support a given graphic target.
if (enable-egl-support)
	pkg_check_modules ("EGL" "egl")
	if (EGL_FOUND)
		set (HAVE_EGL 1)
		set (with_egl "yes (${EGL_VERSION})")
	endif()
endif()

# check for X11
set (with_x11 no)
set (with_xentend no)
enable_if_not_defined (enable-x11-support) # enabled by default
if (enable-x11-support)
	# check for X11
	set (x11_required "x11")  # for the .pc
	pkg_check_modules ("X11" ${x11_required})
	if (X11_FOUND)
		set (HAVE_X11 1)
		set (with_x11 yes)
	else()
		set (x11_required)
	endif()
	
	# check for GLX
	if (NOT EGL_FOUND)  # currently we only have an X backend so we use either GLX or EGL, not both at once.
		check_library_exists (GL glXMakeCurrent "" HAVE_GLX)  # HAVE_GLX remains undefined if not found, else it's "1"
	endif()
	
	# check for X extensions
	set (xextend_required "xtst xcomposite xrandr xrender")  # for the .pc
	STRING (REGEX REPLACE " " ";" xextend_required_semicolon ${xextend_required})
	pkg_check_modules ("XEXTEND" "${xextend_required_semicolon}")
	
	if (XEXTEND_FOUND)
		set (HAVE_XEXTEND 1)
		set (with_xentend yes)
		
		pkg_check_modules ("XINERAMA" "xinerama")  # check for Xinerama separately, since it is now replaced by Xrandr >= 1.3
		if (XINERAMA_FOUND)
			set (HAVE_XINERAMA 1)
		endif()
	else()
		set (xextend_required)
	endif()
endif()

# check for Wayland
set (with_wayland no)
enable_if_not_defined (enable-wayland-support) # enabled by default
if (enable-wayland-support)
	set (wayland_required "wayland-client")  # for the .pc
	pkg_check_modules ("WAYLAND" ${wayland_required})
	if (WAYLAND_FOUND)
		set (HAVE_WAYLAND 1)
		set (with_wayland "yes (${WAYLAND_VERSION})")
	else()
		set (wayland_required)
	endif()
endif()

# GTK 3
set (gtk_required "gtk+-3.0")  # for the .pc
pkg_check_modules ("GTK" REQUIRED "${gtk_required}>=3.4.0")

STRING (REGEX REPLACE "\\..*" "" GTK_MAJOR "${GTK_VERSION}")
STRING (REGEX REPLACE "[0-9]*\\.([^ ]+)" "\\1" GTK_MINOR "${GTK_VERSION}")  # 3.8.2 => 3.8
STRING (REGEX REPLACE "\\.[0-9]*" "" GTK_MINOR "${GTK_MINOR}") # 3.8 => 8

# add_definitions (-DGTK_DISABLE_DEPRECATED="1")
# add_definitions (-DG_DISABLE_DEPRECATED="1")

# We use crypt(3) which may be in libc, or in libcrypt (eg FreeBSD)
check_library_exists (crypt encrypt "" HAVE_LIBCRYPT)
if (HAVE_LIBCRYPT)
	set (LIBCRYPT_LIBS "-lcrypt")
endif()

check_symbol_exists (LC_MESSAGES "locale.h" HAVE_LC_MESSAGES)
check_include_files ("math.h" HAVE_MATH_H)
check_library_exists (m sin "" HAVE_LIBM)
if (NOT HAVE_LIBM OR NOT HAVE_MATH_H)
	message(FATAL_ERROR "Cairo-Dock requires math.h")
endif()

check_include_files ("dlfcn.h" HAVE_DLFCN_H)
check_library_exists (dl dlopen "" HAVE_LIBDL)
if (HAVE_LIBDL)  # dlopen might be in libc directly as in FreeBSD
	set (LIBDL_LIBRARIES "dl")
endif()
if (NOT HAVE_DLFCN_H)
	message(FATAL_ERROR "Cairo-Dock requires dlfcn.h")
endif()

check_library_exists (intl libintl_gettext "" HAVE_LIBINTL)
if (HAVE_LIBINTL)  # on BSD, we have to link to libintl to be able to use gettext.
	set (LIBINTL_LIBRARIES "intl")
endif()


########### variables defined at compil time ###############

set (CAIRO_DOCK_SHARE_DATA_DIR ${pkgdatadir})
set (CAIRO_DOCK_SHARE_THEMES_DIR ${pkgdatadir}/themes)
#set (CAIRO_DOCK_MODULES_DIR ${libdir}/cairo-dock)
set (CAIRO_DOCK_LOCALE_DIR "${prefix}/${CMAKE_INSTALL_LOCALEDIR}")
set (CAIRO_DOCK_THEMES_DIR "themes")  # folder name where themes are saved locally, relatively to the root folder of Cairo-Dock.
set (CAIRO_DOCK_DISTANT_THEMES_DIR "themes3.4")  # folder name where themes are on the server, relatively to the root folder of the server files.
set (CAIRO_DOCK_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})

set (GLDI_GETTEXT_PACKAGE ${GETTEXT_PACKAGE})
set (GLDI_SHARE_DATA_DIR ${pkgdatadir})
set (GLDI_MODULES_DIR ${pluginsdir})
set (GLDI_BIN_DIR ${bindir})

########### next steps ###############

add_subdirectory (src)
add_subdirectory (data)
add_subdirectory (po)

############# HELP #################
# this is actually a plug-in for cairo-dock, not for gldi
# it uses some functions of cairo-dock (they are binded dynamically), that's why it can't go with other plug-ins
set (GETTEXT_HELP ${GETTEXT_PACKAGE})
set (VERSION_HELP "0.9.994")
set (PACKAGE_HELP "cd-Help")
set (helpdatadir "${pluginsdatadir}/Help")
set (dock_version "${VERSION}")
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/Help/data/Help.conf.in ${CMAKE_CURRENT_BINARY_DIR}/Help/data/Help.conf)
add_subdirectory (Help)

########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/config.h.cmake.in ${CMAKE_CURRENT_SOURCE_DIR}/src/config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-config.h)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-module-config.h.in ${CMAKE_CURRENT_SOURCE_DIR}/src/gldit/gldi-module-config.h)  # separated from gldi-config.h because it's architecture-dependant (it contains $libdir), so it can't be installed in /usr/include without causing a conflict between 32 and 64 bits packages.
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cmake_uninstall.cmake.in ${CMAKE_CURRENT_BINARY_DIR}/cmake_uninstall.cmake IMMEDIATE @ONLY)

################# Summary #################

MESSAGE (STATUS)
MESSAGE (STATUS "Cairo-Dock ${VERSION} will be compiled with the following options:")
MESSAGE (STATUS " * Installation in     : ${prefix}")
MESSAGE (STATUS " * Lib directory       : ${libdir}")
MESSAGE (STATUS " * GTK version         : ${GTK_MAJOR} (${GTK_VERSION})")
MESSAGE (STATUS " * With X11 support    : ${with_x11}")
MESSAGE (STATUS " * With X11 extensions : ${with_xentend} (${xextend_required})")
if (HAVE_GLX)
	MESSAGE (STATUS " * With GLX support    : yes")
else()
	MESSAGE (STATUS " * With GLX support    : no")
endif()
MESSAGE (STATUS " * With Wayland support: ${with_wayland}")
MESSAGE (STATUS " * With EGL support    : ${with_egl}")
if (HAVE_LIBCRYPT)
	MESSAGE (STATUS " * Crypt passwords     : yes")
else()
	MESSAGE (STATUS " * Crypt passwords     : no")
endif()
if (enable-desktop-manager)
	set (with_cd_session "yes")
else()
	set (with_cd_session "no (use '-Denable-desktop-manager=ON' to enable it)")
endif()
MESSAGE (STATUS " * Cairo-dock session  : ${with_cd_session}")
MESSAGE (STATUS " * Themes directory    : ${CAIRO_DOCK_DISTANT_THEMES_DIR} (on the server)")
MESSAGE (STATUS)

=== src/CMakeLists.txt ===

add_subdirectory (gldit)
add_subdirectory (implementations)

SET(cairo_dock_SRCS
	cairo-dock.c
	cairo-dock-user-menu.c 				cairo-dock-user-menu.h 
	cairo-dock-user-interaction.c 		cairo-dock-user-interaction.h 
	cairo-dock-gui-advanced.c 			cairo-dock-gui-advanced.h
	cairo-dock-gui-simple.c 			cairo-dock-gui-simple.h
	cairo-dock-gui-backend.c 			cairo-dock-gui-backend.h
	cairo-dock-gui-commons.c 			cairo-dock-gui-commons.h
	cairo-dock-widget.c 				cairo-dock-widget.h
	cairo-dock-widget-themes.c 			cairo-dock-widget-themes.h
	cairo-dock-widget-items.c 			cairo-dock-widget-items.h
	cairo-dock-widget-config.c 			cairo-dock-widget-config.h
	cairo-dock-widget-plugins.c 		cairo-dock-widget-plugins.h
	cairo-dock-widget-module.c			cairo-dock-widget-module.h
	cairo-dock-widget-config-group.c 	cairo-dock-widget-config-group.h
	cairo-dock-widget-shortkeys.c		cairo-dock-widget-shortkeys.h
)

########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit)

# Add executable that is built from the source files.
add_executable (${PROJECT_NAME}
	${cairo_dock_SRCS} )

# Link the executable to the librairies.
target_link_libraries (${PROJECT_NAME}
	${PACKAGE_LIBRARIES}
	${GTK_LIBRARIES}
	gldi
	${LIBINTL_LIBRARIES})

# install the program once it is built.
install(
	TARGETS ${PACKAGE}
	DESTINATION bin)

=== data/explosion/CMakeLists.txt ===

########### install files ###############

install(FILES  explosion.png DESTINATION ${pkgdatadir}/explosion )

=== data/desktop-manager/gnome-session-3.10/CMakeLists.txt ===
# By default the session is GNOME except on Ubuntu: better to use Unity to not
# have specific features of some apps created for Gnome-Shell (e.g. the new
# Nautilus or GThumb interface which are not really compatible with Compiz)

set (DESKTOP_NAME "GNOME")

get_filename_component(ISSUE_NET "/etc/issue.net" ABSOLUTE)
if (EXISTS ${ISSUE_NET})
	FILE(READ "${ISSUE_NET}" DISTRO_RELEASE)
	if (NOT "${DISTRO_RELEASE}" STREQUAL "")
		STRING (REGEX REPLACE " (.+)" "" DISTRO_ID ${DISTRO_RELEASE})
		message(STATUS ${DISTRO_ID})
		if ("${DISTRO_ID}" STREQUAL "Ubuntu")
			set (DESKTOP_NAME "Unity")
		endif()
	endif()
endif()

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.session.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.session)

install (FILES
	${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.session
	DESTINATION /usr/share/gnome-session/sessions)

=== data/themes/default-theme-panel/plug-ins/Animated-icons/CMakeLists.txt ===
install (FILES Animated-icons.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/Animated-icons )

=== data/themes/default-theme/plug-ins/GMenu/CMakeLists.txt ===

########### install files ###############

install(FILES  GMenu.conf DESTINATION ${pkgdatadir}/themes/Default-Single/plug-ins/GMenu )

=== debian/changelog ===
cairo-dock (3.4.0-2) unstable; urgency=medium

  * Update debian/copyright: follow upstream file renaming
  * Change Suggests: gnome-calculator instead of gcalctool,
    Thanks to Michael Biebl <biebl@debian.org> (Closes: #788774)

 -- Youhei SASAKI <uwabami@gfd-dennou.org>  Tue, 16 Jun 2015 00:17:13 +0900

cairo-dock (3.4.0-1) unstable; urgency=medium

  * Imported Upstream version 3.4.0.
    (Closes: #708850, #687525, #765604, #765615, #709310, #741017, #690811,
     #686053)
  * Bump Standard Version: 3.9.6

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 23 Oct 2014 14:04:18 +0900

=== debian/control ===
Source: cairo-dock
Section: x11
Priority: extra
Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
 Youhei SASAKI <uwabami@gfd-dennou.org>
Build-Depends: cdbs, quilt, debhelper (>= 7), dpkg-dev (>= 1.16.1~),
	cmake (>= 2.8.0), autotools-dev, intltool, pkg-config,
	libcairo2-dev | libcairo-dev,
	libcurl4-gnutls-dev,
	libdbus-glib-1-dev,
	libgl1-mesa-dev | libgl-dev,
	libglib2.0-dev,
	libglu1-mesa-dev | libglu-dev,
	libgtk-3-dev,
	libpango1.0-dev,
	librsvg2-dev,
	libxcomposite-dev,
	libxrandr-dev,
	libxml2-dev,
	libxrender-dev,
	libxtst-dev
Standards-Version: 3.9.6
Homepage: http://www.glx-dock.org/
Vcs-Git: git://anonscm.debian.org/pkg-cairo-dock/cairo-dock.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cairo-dock/cairo-dock.git;a=summary

Package: cairo-dock
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}), cairo-dock-plug-ins (>= 3.1.1)
Description: Metapackage for cairo-dock
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This is metapackage that provides the components necessary for running
 Cairo-dock. This installs a cairo-dock-core application and cairo-dock-plugins
 package easily.
 .
 And Cairo-dock installs cairo-dock-core and plugins and makes sense as
 Cairo-dock.

Package: cairo-dock-core
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Breaks: cairo-dock (<= 2.1.3.5-2)
Replaces: cairo-dock (<= 2.1.3.5-2)
Provides: cairo-dock
Suggests: xcompmgr, empathy, f-spot, gnome-calculator, gimp, inkscape
Recommends: cairo-dock-plugins (>= 2.1.3.10), curl
Description: Light eye-candy fully themable animated dock for Linux desktop
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock-core application.

Package: cairo-dock-dev
Section: devel
Architecture: any
Pre-Depends: ${misc:Pre-Depends}
Depends: cairo-dock-core (= ${binary:Version}), ${misc:Depends}
Description: Cairo-dock develpment file
 Cairo-dock has a family-likeness with OS X dock, but with more options.
 It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
 It's fully configurable and can be a taskbar too.
 You can easily plug applets into it.
 .
 This package provides Cairo-dock development file.

## cairo-dock 3.4.1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.4.0") # no dash, only numbers, dots and maybe alpha/beta/rc, e.g.: 3.3.1 or 3.3.99.alpha1
+set (VERSION "3.4.1") # no dash, only numbers, dots and maybe alpha/beta/rc, e.g.: 3.3.1 or 3.3.99.alpha1
 
 add_definitions (-std=c99 -Wall -Wextra -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
 if (NOT DEFINED CMAKE_BUILD_TYPE)
@@ -47,7 +47,7 @@
 set (CPACK_SOURCE_GENERATOR "TGZ")
 set (CPACK_SOURCE_PACKAGE_FILE_NAME "${CMAKE_PROJECT_NAME}-${VERSION}")
 set (CPACK_SOURCE_IGNORE_FILES 
-	"/build/;/.bzr/;bzrignore$;/config.h$;/gldi-module-config.h$;/gldi-config.h$;/doc/;/misc/;~$;/TODO$;.pyc$;${CPACK_SOURCE_IGNORE_FILES}")
+	"/build/;/.bzr/;/.bzrignore$;/.git/;/.gitignore$;/config.h$;/gldi-module-config.h$;/gldi-config.h$;/doc/;/misc/;~$;/TODO$;.pyc$;${CPACK_SOURCE_IGNORE_FILES}")
 include (CPack)
 
 add_custom_target( dist
@@ -148,7 +148,7 @@
 enable_if_not_defined (enable-wayland-support) # enabled by default
 if (enable-wayland-support)
 	set (wayland_required "wayland-client")  # for the .pc
-	pkg_check_modules ("WAYLAND" ${wayland_required})
+	pkg_check_modules ("WAYLAND" ${wayland_required}>=1.0.0)
 	if (WAYLAND_FOUND)
 		set (HAVE_WAYLAND 1)
 		set (with_wayland "yes (${WAYLAND_VERSION})")

=== data/desktop-manager/CMakeLists.txt ===
# (we assume GTK and Gnome-Session are using the same version)
if (${GTK_MAJOR} LESS 3 OR (${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} LESS 8)) # GTK < 3.8
	add_subdirectory(gnome-session-3.0)
elseif(${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} EQUAL 8)
	add_subdirectory(gnome-session-3.8)
else()
	add_subdirectory(gnome-session-3.10)
endif()

install (FILES cairo-dock-session
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== src/gldit/CMakeLists.txt ===

SET(core_lib_SRCS
	cairo-dock-struct.h
	cairo-dock-global-variables.h 
	cairo-dock-core.c 					cairo-dock-core.h
	cairo-dock-manager.c 				cairo-dock-manager.h
	cairo-dock-object.c 				cairo-dock-object.h
	# icons
	cairo-dock-icon-manager.c 			cairo-dock-icon-manager.h
	cairo-dock-icon-factory.c 			cairo-dock-icon-factory.h
	cairo-dock-icon-facility.c 			cairo-dock-icon-facility.h
	cairo-dock-indicator-manager.c 		cairo-dock-indicator-manager.h
	cairo-dock-applications-manager.c 	cairo-dock-applications-manager.h
	cairo-dock-application-facility.c 	cairo-dock-application-facility.h
	cairo-dock-launcher-manager.c 		cairo-dock-launcher-manager.h
	cairo-dock-stack-icon-manager.c 	cairo-dock-stack-icon-manager.h
	cairo-dock-class-icon-manager.c 	cairo-dock-class-icon-manager.h
	cairo-dock-user-icon-manager.c 		cairo-dock-user-icon-manager.h
	cairo-dock-applet-manager.c 		cairo-dock-applet-manager.h
	cairo-dock-applet-facility.c 		cairo-dock-applet-facility.h
	cairo-dock-separator-manager.c 		cairo-dock-separator-manager.h
	cairo-dock-module-manager.c 		cairo-dock-module-manager.h
	cairo-dock-module-instance-manager.c cairo-dock-module-instance-manager.h
	# containers
	cairo-dock-container.c 				cairo-dock-container.h
	cairo-dock-desklet-manager.c 		cairo-dock-desklet-manager.h
	cairo-dock-desklet-factory.c 		cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.c 		cairo-dock-dialog-factory.h
	cairo-dock-dialog-manager.c 		cairo-dock-dialog-manager.h
	cairo-dock-flying-container.c 		cairo-dock-flying-container.h
	cairo-dock-dock-manager.c 			cairo-dock-dock-manager.h
	cairo-dock-dock-factory.c 			cairo-dock-dock-factory.h
	cairo-dock-dock-facility.c 			cairo-dock-dock-facility.h
	cairo-dock-dock-visibility.c 		cairo-dock-dock-visibility.h
	cairo-dock-animations.c 			cairo-dock-animations.h
	cairo-dock-backends-manager.c 		cairo-dock-backends-manager.h
	cairo-dock-data-renderer.c 			cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.c 	cairo-dock-data-renderer-manager.h
	cairo-dock-file-manager.c 			cairo-dock-file-manager.h
	cairo-dock-themes-manager.c 		cairo-dock-themes-manager.h
	cairo-dock-class-manager.c 			cairo-dock-class-manager.h
	cairo-dock-desktop-manager.c		cairo-dock-desktop-manager.h
	cairo-dock-windows-manager.c		cairo-dock-windows-manager.h
	cairo-dock-image-buffer.c			cairo-dock-image-buffer.h 
	cairo-dock-opengl.c 				cairo-dock-opengl.h
	cairo-dock-opengl-path.c 			cairo-dock-opengl-path.h
	cairo-dock-opengl-font.c 			cairo-dock-opengl-font.h
	cairo-dock-surface-factory.c 		cairo-dock-surface-factory.h
	cairo-dock-draw.c 					cairo-dock-draw.h 
	cairo-dock-draw-opengl.c 			cairo-dock-draw-opengl.h
	# utilities
	cairo-dock-log.c 					cairo-dock-log.h
	cairo-dock-gui-manager.c 			cairo-dock-gui-manager.h
	cairo-dock-gui-factory.c 			cairo-dock-gui-factory.h
	cairo-dock-keybinder.c 				cairo-dock-keybinder.h
	cairo-dock-dbus.c 					cairo-dock-dbus.h 
	cairo-dock-keyfile-utilities.c 		cairo-dock-keyfile-utilities.h
	cairo-dock-packages.c 				cairo-dock-packages.h
	cairo-dock-particle-system.c 		cairo-dock-particle-system.h
	cairo-dock-overlay.c 				cairo-dock-overlay.h
	cairo-dock-task.c 					cairo-dock-task.h
	cairo-dock-config.c 				cairo-dock-config.h
	cairo-dock-utils.c 					cairo-dock-utils.h
	cairo-dock-menu.c 					cairo-dock-menu.h
	cairo-dock-style-manager.c 			cairo-dock-style-manager.h
	cairo-dock-style-facility.c 		cairo-dock-style-facility.h
	texture-gradation.h
)

# Gtk > 3.8
if (${GTK_MAJOR} GREATER 3 OR (${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} GREATER 8))
	LIST(APPEND core_lib_SRCS gtk3imagemenuitem.c gtk3imagemenuitem.h)
endif()

########### compilation ###############

# Make sure the compiler can find include files from the libraries.
include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${XEXTEND_INCLUDE_DIRS}
	${XINERAMA_INCLUDE_DIRS}
	${EGL_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/implementations)

# Make sure the linker can find the libraries.
link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS}
	${EGL_LIBRARY_DIRS}
	${WAYLAND_LIBRARY_DIRS}
	${XEXTEND_LIBRARY_DIRS}
	${XINERAMA_LIBRARY_DIRS})

# Define the library
add_library ("gldi" SHARED ${core_lib_SRCS})
STRING (REGEX REPLACE "\\..*" "" SOVERSION "${VERSION}")
set_target_properties ("gldi" PROPERTIES
	# create *nix style library versions + symbolic links
	VERSION ${VERSION}
	SOVERSION ${SOVERSION}
	# allow creating static and shared libs without conflicts
	#CLEAN_DIRECT_OUTPUT 1
	# avoid conflicts between library and binary target names
	#OUTPUT_NAME ${PROJECT_NAME}
)

# Link the result to the librairies.
target_link_libraries("gldi"
	${PACKAGE_LIBRARIES}
	${GTK_LIBRARIES}
	${EGL_LIBRARIES}
	${WAYLAND_LIBRARIES}
	${XEXTEND_LIBRARIES}
	${XINERAMA_LIBRARIES}
	${LIBCRYPT_LIBS}
	implementations
	${LIBDL_LIBRARIES})


configure_file (${CMAKE_CURRENT_SOURCE_DIR}/gldi.pc.in ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc)
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/gldi.pc DESTINATION ${install-pc-path})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${VERSION} DESTINATION ${libdir})
install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/libgldi.so.${SOVERSION} DESTINATION ${libdir})

########### install files ###############

install(FILES cairo-dock.h DESTINATION ${includedir}/cairo-dock)
install(FILES
	cairo-dock-struct.h 			cairo-dock-global-variables.h
	gldi-config.h  # gldi-module-config.h doesn't need to be installed
	gldi-icon-names.h
	cairo-dock-core.h			cairo-dock-manager.h
	cairo-dock-object.h
	cairo-dock-icon-factory.h		cairo-dock-icon-manager.h
	cairo-dock-icon-facility.h
	cairo-dock-applications-manager.h 	cairo-dock-launcher-manager.h
	cairo-dock-separator-manager.h 		cairo-dock-applet-manager.h
	cairo-dock-stack-icon-manager.h			cairo-dock-user-icon-manager.h
	cairo-dock-class-icon-manager.h
	cairo-dock-backends-manager.h
	
	cairo-dock-packages.h
	cairo-dock-data-renderer.h
	cairo-dock-data-renderer-manager.h
	cairo-dock-dock-manager.h		
	cairo-dock-desklet-manager.h
	cairo-dock-dialog-manager.h
	cairo-dock-indicator-manager.h
	cairo-dock-themes-manager.h
	cairo-dock-gui-manager.h
	cairo-dock-file-manager.h
	cairo-dock-desktop-manager.h
	cairo-dock-windows-manager.h
	cairo-dock-class-manager.h
	cairo-dock-opengl.h
	cairo-dock-image-buffer.h
	cairo-dock-config.h
	cairo-dock-module-manager.h
	cairo-dock-module-instance-manager.h
	cairo-dock-container.h
	cairo-dock-dock-factory.h
	cairo-dock-desklet-factory.h
	cairo-dock-dialog-factory.h
	cairo-dock-flying-container.h
	
	cairo-dock-applet-multi-instance.h 	cairo-dock-applet-single-instance.h
	cairo-dock-applet-canvas.h			cairo-dock-applet-facility.h
	
	cairo-dock-draw.h					cairo-dock-draw-opengl.h
	cairo-dock-opengl-path.h 			cairo-dock-opengl-font.h 
	cairo-dock-particle-system.h		cairo-dock-overlay.h
	cairo-dock-dbus.h
	cairo-dock-keyfile-utilities.h		cairo-dock-surface-factory.h
	cairo-dock-log.h					cairo-dock-keybinder.h
	cairo-dock-application-facility.h	cairo-dock-dock-facility.h
	cairo-dock-task.h
	cairo-dock-animations.h
	cairo-dock-gui-factory.h
	cairo-dock-menu.h
	cairo-dock-style-manager.h
	cairo-dock-style-facility.h
	cairo-dock-utils.h
	
	DESTINATION ${includedir}/cairo-dock/gldit)

if (disable-gtk-grip)
	add_definitions (-DENABLE_GTK_GRIP=1)
endif()

=== src/implementations/CMakeLists.txt ===

SET(impl_SRCS
	cairo-dock-gauge.c                   cairo-dock-gauge.h
	cairo-dock-graph.c                   cairo-dock-graph.h
	cairo-dock-progressbar.c             cairo-dock-progressbar.h
	cairo-dock-hiding-effect.c           cairo-dock-hiding-effect.h
	cairo-dock-icon-container.c          cairo-dock-icon-container.h
	cairo-dock-default-view.c            cairo-dock-default-view.h
	cairo-dock-compiz-integration.c      cairo-dock-compiz-integration.h
	cairo-dock-kwin-integration.c        cairo-dock-kwin-integration.h
	cairo-dock-gnome-shell-integration.c cairo-dock-gnome-shell-integration.h
	cairo-dock-cinnamon-integration.c    cairo-dock-cinnamon-integration.h
	cairo-dock-X-manager.c               cairo-dock-X-manager.h
	cairo-dock-X-utilities.c             cairo-dock-X-utilities.h
	cairo-dock-glx.c                     cairo-dock-glx.h
	cairo-dock-egl.c                     cairo-dock-egl.h
	cairo-dock-wayland-manager.c         cairo-dock-wayland-manager.h
)
#if ("${HAVE_X11}")
#	SET(impl_SRCS ${impl_SRCS}
#		cairo-dock-X-manager.c               cairo-dock-X-manager.h
#		cairo-dock-glx.c                     cairo-dock-glx.h
#	)
#endif()

add_library(implementations STATIC ${impl_SRCS})
add_definitions (-fPIC)
add_definitions (-DSHARE_DATA_DIR="${pkgdatadir}")

link_directories(
	${PACKAGE_LIBRARY_DIRS}
	${WAYLAND_LIBRARY_DIRS}
	${EGL_LIBRARY_DIRS}
	${GTK_LIBRARY_DIRS})

include_directories(
	${PACKAGE_INCLUDE_DIRS}
	${WAYLAND_INCLUDE_DIRS}
	${EGL_INCLUDE_DIRS}
	${GTK_INCLUDE_DIRS}
	${CMAKE_SOURCE_DIR}/src/gldit
	${CMAKE_SOURCE_DIR}/src/implementations)

########### install files ###############

install (FILES
	cairo-dock-gauge.h
	cairo-dock-graph.h
	cairo-dock-progressbar.h
	DESTINATION ${includedir}/cairo-dock/implementations)  # thoses are needed to expose the attributes of the data-renderers to the plug-ins.

=== data/gauges/turbo-night-fuel/CMakeLists.txt ===

########### install files ###############

install(FILES  background.svg 	foreground.svg 	needle.svg 	theme.xml 	readme DESTINATION ${pkgdatadir}/gauges/Turbo-night-fuel )

=== data/themes/default-theme-panel/CMakeLists.txt ===
add_subdirectory(launchers)
add_subdirectory(plug-ins)
add_subdirectory(images)

########### install files ###############

install(FILES
	cairo-dock.conf
	_MainDock_-2.conf
	preview
	readme
	DESTINATION ${pkgdatadir}/themes/Default-Panel )

=== data/themes/default-theme-panel/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES
	01container.desktop
	01firefox.desktop
	01gcalctool.desktop
	01libreoffice-calc.desktop
	01libreoffice-impress.desktop
	01libreoffice-writer.desktop
	01pidgin.desktop
	01separator.desktop
	01thunderbird.desktop
	01ubuntu-software-center.desktop
	02separator.desktop
	03separator.desktop
	04separator.desktop
	DESTINATION ${pkgdatadir}/themes/Default-Panel/launchers)

=== data/themes/default-theme-panel/plug-ins/CMakeLists.txt ===
add_subdirectory(AlsaMixer)
add_subdirectory(Animated-icons)
add_subdirectory(Calendar)
add_subdirectory(Clipper)
add_subdirectory(clock)
add_subdirectory(dialog-rendering)
add_subdirectory(dnd2share)
add_subdirectory(drop_indicator)
add_subdirectory(GMenu)
add_subdirectory(Help)
add_subdirectory(icon-effect)
add_subdirectory(illusion)
add_subdirectory(Indicator-Generic)
add_subdirectory(logout)
add_subdirectory(Messaging-Menu)
add_subdirectory(musicPlayer)
add_subdirectory(netspeed)
add_subdirectory(powermanager)
add_subdirectory(quick-browser)
add_subdirectory(Recent-Events)
add_subdirectory(rendering)
add_subdirectory(shortcuts)
add_subdirectory(showDesktop)
add_subdirectory(Status-Notifier)
add_subdirectory(switcher)

=== data/themes/default-theme/launchers/CMakeLists.txt ===

########### install files ###############

install(FILES
	01firefox.desktop
	01gcalctool.desktop
	01gimp.desktop
	01gnome-terminal.desktop
	01ooo-writer.desktop
	01pidgin.desktop
	01separator.desktop
	01thunderbird.desktop
	01ubuntu-software-center.desktop
	02separator.desktop
	03separator.desktop
	DESTINATION ${pkgdatadir}/themes/Default-Single/launchers)

=== data/themes/default-theme/plug-ins/CMakeLists.txt ===
add_subdirectory(Animated-icons)
add_subdirectory(Clipper)
add_subdirectory(Dbus)
add_subdirectory(dialog-rendering)
add_subdirectory(dnd2share)
add_subdirectory(GMenu)
add_subdirectory(icon-effect)
add_subdirectory(illusion)
add_subdirectory(logout)
add_subdirectory(musicPlayer)
add_subdirectory(quick-browser)
add_subdirectory(rendering)
add_subdirectory(shortcuts)
add_subdirectory(showDesktop)
add_subdirectory(stack)
add_subdirectory(switcher)
add_subdirectory(Recent-Events)
########### install files ###############




#original Makefile.am contents follow:

#SUBDIRS = . Animated-icons\
#	 Clipper\
#	 Dbus\
#	 dialog-rendering\
#	 dnd2share\
#	 GMenu\
#	 icon-effect\
#	 illusion\
#	 logout\
#	 musicPlayer\
#	 quick-browser\
#	 rendering\
#	 shortcuts\
#	 showDesktop\
#	 stack\
#	 switcher

=== data/themes/default-theme-panel/plug-ins/Help/CMakeLists.txt ===
install (FILES Help.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/Help )

=== data/themes/default-theme-panel/plug-ins/Indicator-Generic/CMakeLists.txt ===
install (FILES Indicator-Generic.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/Indicator-Generic )

=== debian/changelog ===
cairo-dock (3.4.1-3) unstable; urgency=medium

  * Change team mail address. (Closes: #899798)

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Fri, 25 May 2018 08:52:39 +0900

cairo-dock (3.4.1-2) unstable; urgency=medium

  * Bump Standards-Version to 4.1.4
  * Move to salsa.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Mon, 23 Apr 2018 08:16:34 +0900

cairo-dock (3.4.1-1.2) unstable; urgency=medium

  * Non-maintainer upload
  * Adjust Adapt-to-gsd-3.24.patch for plugin dropped
    in gnome-settings-daemon 3.28 (Closes: #892005)

 -- Jeremy Bicha <jbicha@debian.org>  Sat, 17 Mar 2018 07:52:43 -0400

cairo-dock (3.4.1-1.1) unstable; urgency=medium

  * Non-maintainer upload.

  [ Jeremy Bicha <jbicha@ubuntu.com> ]
  * Adapt to gnome-settings-daemon 3.24 (Closes: #870229)

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 08 Aug 2017 16:04:14 +0200

cairo-dock (3.4.1-1) unstable; urgency=medium

  * Update to 3.4.1.
  * Update debian/control.
    - Update Standards-Version to 3.9.8.
    - Use a secure transport for the Vcs-Git and Vcs-Browser URL.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Thu, 27 Oct 2016 00:01:18 +0900

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,10 @@
 Source: cairo-dock
 Section: x11
 Priority: extra
-Maintainer: Debian Cairo-dock Maintainers <pkg-cairo-dock-devel@lists.alioth.debian.org>
+Maintainer: Debian Cairo-dock Maintainers <team+pkg-cairo-dock-devel@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Youhei SASAKI <uwabami@gfd-dennou.org>
-Build-Depends: cdbs, quilt, debhelper (>= 7), dpkg-dev (>= 1.16.1~),
+Build-Depends: cdbs, quilt, debhelper (>= 10), dpkg-dev (>= 1.16.1~),
 	cmake (>= 2.8.0), autotools-dev, intltool, pkg-config,
 	libcairo2-dev | libcairo-dev,
 	libcurl4-gnutls-dev,
@@ -12,7 +12,7 @@
 	libgl1-mesa-dev | libgl-dev,
 	libglib2.0-dev,
 	libglu1-mesa-dev | libglu-dev,
-	libgtk-3-dev,
+	libgtk-3-dev (>= 3.4.0),
 	libpango1.0-dev,
 	librsvg2-dev,
 	libxcomposite-dev,
@@ -20,14 +20,14 @@
 	libxml2-dev,
 	libxrender-dev,
 	libxtst-dev
-Standards-Version: 3.9.6
+Standards-Version: 4.1.4
 Homepage: http://www.glx-dock.org/
-Vcs-Git: git://anonscm.debian.org/pkg-cairo-dock/cairo-dock.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-cairo-dock/cairo-dock.git;a=summary
+Vcs-Git:  https://salsa.debian.org/cairo-dock-team/cairo-dock.git
+Vcs-Browser: https://salsa.debian.org/cairo-dock-team/cairo-dock 
 
 Package: cairo-dock
 Architecture: any
-Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}), cairo-dock-plug-ins (>= 3.1.1)
+Depends: ${shlibs:Depends}, ${misc:Depends}, cairo-dock-core (= ${binary:Version}), cairo-dock-plug-ins (>= 3.4.1), gnome-settings-daemon (>= 3.24)
 Description: Metapackage for cairo-dock
  Cairo-dock has a family-likeness with OS X dock, but with more options.
  It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
@@ -63,7 +63,7 @@
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
 Depends: cairo-dock-core (= ${binary:Version}), ${misc:Depends}
-Description: Cairo-dock develpment file
+Description: Cairo-dock development file
  Cairo-dock has a family-likeness with OS X dock, but with more options.
  It uses cairo to render nice graphics, and Glitz to use hardware acceleration.
  It's fully configurable and can be a taskbar too.

=== debian/watch ===
version=3
https://launchpad.net/cairo-dock-core/+download .*/cairo-dock-([\d\.]+.*)?.tar.gz

## cairo-dock 3.4.1%2Bgit20201103.0836f5d1

=== data/themes/default-theme-panel/plug-ins/dnd2share/CMakeLists.txt ===
install (FILES dnd2share.conf DESTINATION ${pkgdatadir}/themes/Default-Panel/plug-ins/dnd2share )

=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: cairo-dock
 Section: x11
-Priority: extra
-Maintainer: Debian Cairo-dock Maintainers <team+pkg-cairo-dock-devel@tracker.debian.org>
+Priority: optional
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Cairo-dock Maintainers <team+pkg-cairo-dock-devel@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: cdbs, quilt, debhelper (>= 10), dpkg-dev (>= 1.16.1~),
@@ -23,7 +24,7 @@
 Standards-Version: 4.1.4
 Homepage: http://www.glx-dock.org/
 Vcs-Git:  https://salsa.debian.org/cairo-dock-team/cairo-dock.git
-Vcs-Browser: https://salsa.debian.org/cairo-dock-team/cairo-dock 
+Vcs-Browser: https://salsa.debian.org/cairo-dock-team/cairo-dock
 
 Package: cairo-dock
 Architecture: any

## cairo-dock 3.4.1+git20201103.0836f5d1

=== CMakeLists.txt ===
--- 
+++ 
@@ -11,7 +11,7 @@
 ########### project ###############
 
 project ("cairo-dock")
-set (VERSION "3.4.1") # no dash, only numbers, dots and maybe alpha/beta/rc, e.g.: 3.3.1 or 3.3.99.alpha1
+set (VERSION "3.4.99.alpha1") # no dash, only numbers, dots and maybe alpha/beta/rc, e.g.: 3.3.1 or 3.3.99.alpha1
 
 add_definitions (-std=c99 -Wall -Wextra -Werror-implicit-function-declaration) # -Wextra -Wwrite-strings -Wuninitialized -Werror-implicit-function-declaration -Wstrict-prototypes -Wreturn-type -Wparentheses -Warray-bounds)
 if (NOT DEFINED CMAKE_BUILD_TYPE)

=== Help/CMakeLists.txt ===

add_subdirectory(src)
add_subdirectory(data)

=== data/CMakeLists.txt ===
add_subdirectory(themes)
add_subdirectory(gauges)
add_subdirectory(explosion)
add_subdirectory(man)
add_subdirectory(icons)
add_subdirectory(images)
add_subdirectory(scripts)
if (enable-desktop-manager)
	add_subdirectory(desktop-manager)
endif()


########### file generation ###############

configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/cairo-dock-simple.conf.in ${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-simple.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/main-dock.conf.in ${CMAKE_CURRENT_BINARY_DIR}/main-dock.conf)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/launcher.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/launcher.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/container.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/container.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/separator.desktop.in ${CMAKE_CURRENT_BINARY_DIR}/separator.desktop)
configure_file (${CMAKE_CURRENT_SOURCE_DIR}/themes.conf.in ${CMAKE_CURRENT_BINARY_DIR}/themes.conf)


########### install files ###############

# misc
install (FILES
	cairo-dock.svg
	readme-default-view
	ChangeLog.txt
	DESTINATION ${pkgdatadir})

# appli icon
install (FILES
	cairo-dock.svg
	DESTINATION ${datadir}/pixmaps)

# conf files
install (FILES
	# lib
	${CMAKE_CURRENT_BINARY_DIR}/main-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock.conf
	${CMAKE_CURRENT_BINARY_DIR}/launcher.desktop
	${CMAKE_CURRENT_BINARY_DIR}/container.desktop
	${CMAKE_CURRENT_BINARY_DIR}/separator.desktop
	# appli
	${CMAKE_CURRENT_BINARY_DIR}/cairo-dock-simple.conf
	${CMAKE_CURRENT_BINARY_DIR}/themes.conf
	DESTINATION ${pkgdatadir})

# appli desktop file
install (FILES
	cairo-dock.desktop
	cairo-dock-cairo.desktop
	DESTINATION ${datadir}/applications)

=== po/CMakeLists.txt ===

find_program (MSGFMT_EXECUTABLE msgfmt)

#on cree une nouvelle cible i18n liée à la cible all.
add_custom_target (i18n ALL COMMENT “Building i18n messages.”)

# on liste tous les .po
file (GLOB PO_FILES *.po)

# on parcours cette liste.
foreach (PO_INPUT ${PO_FILES})
	get_filename_component (PO_INPUT_BASE ${PO_INPUT} NAME_WE)  # NAME Without Extension.
	if (NOT "${PO_INPUT_BASE}" STREQUAL "en_GB") # en_GB has been created only for LaunchPad translation tool
		set (MO_OUTPUT ${PO_INPUT_BASE}.gmo)  # le nom du fichier en sortie.
		message (STATUS "  Building ${MO_OUTPUT}...")
		add_custom_command (TARGET i18n COMMAND ${MSGFMT_EXECUTABLE} -o  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} ${PO_INPUT})  # appel a msgfmt.
		install (FILES  ${CMAKE_CURRENT_BINARY_DIR}/${MO_OUTPUT} DESTINATION ${CAIRO_DOCK_LOCALE_DIR}/${PO_INPUT_BASE}/LC_MESSAGES RENAME ${GETTEXT_PACKAGE}.mo)  # installation du fichier dans le bon repertoire.
	endif()
endforeach ()

=== Help/data/CMakeLists.txt ===

########### install files ###############

install (FILES ${CMAKE_CURRENT_BINARY_DIR}/Help.conf
	icon.svg
	DESTINATION ${helpdatadir})

=== data/desktop-manager/CMakeLists.txt ===
# Here we assume some link between GTK versions and gnome-session/gnome-flashback versions
if (${GTK_MAJOR} LESS 3 OR (${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} LESS 8)) # GTK < 3.8
	add_subdirectory(gnome-session-3.0)
elseif(${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} EQUAL 8)  # GTK-3.8
	add_subdirectory(gnome-session-3.8)
elseif(${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} LESS 22)  # GTK < 3.22
	add_subdirectory(gnome-session-3.10)
elseif(${GTK_MAJOR} EQUAL 3 AND ${GTK_MINOR} LESS 24)  # GTK < 3.24
	add_subdirectory(gnome-session-3.28)
else()  # GTK >= 3.24
	add_subdirectory(gnome-session-3.36)
endif()

install (FILES cairo-dock-session
	DESTINATION ${bindir}
	PERMISSIONS OWNER_READ OWNER_WRITE OWNER_EXECUTE GROUP_READ GROUP_EXECUTE WORLD_READ WORLD_EXECUTE)

=== data/emblems/CMakeLists.txt ===

########### install files ###############

install(FILES  charge.svg 	drop.svg 	play.svg 	pause.svg 	stop.svg 	broken.svg 	error.svg 	warning.svg 	locked.svg DESTINATION ${pkgdatadir}/emblems )



#original Makefile.am contents follow:

#SUBDIRS = .
#
#emblemsdir = ${pkgdatadir}/emblems
#
#emblems_DATA = \
#	charge.svg\
#	drop.svg\
#	play.svg\
#	pause.svg\
#	stop.svg\
#	broken.svg\
#	error.svg\
#	warning.svg\
#	locked.svg
#	
#EXTRA_DIST = $(emblems_DATA)

=== data/themes/CMakeLists.txt ===
add_subdirectory(default-theme)
add_subdirectory(default-theme-panel)

=== data/desktop-manager/gnome-session-3.0/CMakeLists.txt ===
install (FILES
	cairo-dock.desktop
	cairo-dock-fallback.desktop
	cairo-dock-unity.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock.session
	cairo-dock-fallback.session
	cairo-dock-unity.session
	cairo-dock-unity-fallback.session
	DESTINATION /usr/share/gnome-session/sessions)

=== data/desktop-manager/gnome-session-3.36/CMakeLists.txt ===
install (FILES
	cairo-dock-compiz.desktop
	cairo-dock-metacity.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock-compiz.session
	cairo-dock-metacity.session
	DESTINATION /usr/share/gnome-session/sessions)

install (FILES
	gnome-session-x11@cairo-dock-compiz.target
	gnome-session-x11@cairo-dock-metacity.target
	DESTINATION /usr/lib/systemd/user)

=== data/desktop-manager/gnome-session-3.8/CMakeLists.txt ===
install (FILES
	cairo-dock.desktop
	DESTINATION /usr/share/xsessions)

install (FILES
	cairo-dock.session
	DESTINATION /usr/share/gnome-session/sessions)

=== data/themes/default-theme/images/CMakeLists.txt ===

########### install files ###############

install(FILES
	active.png
	bg.svg
	indicator.png
	DESTINATION ${pkgdatadir}/themes/Default-Single/images )

=== debian/changelog ===
cairo-dock (3.4.1+git20201103.0836f5d1-1) unstable; urgency=medium

  * Snapshot, taken from the master (20201103). (Closes: #963494)
  * Fix use short GPG key ID. (Closes: #836561)
    Add patches/Use-long-ID-of-GPG.patch.
  * Change Priority to optional.

 -- Nobuhiro Iwamatsu <iwamatsu@debian.org>  Sat, 02 Jan 2021 20:22:34 +0900

=== debian/control ===
--- 
+++ 
@@ -1,8 +1,7 @@
 Source: cairo-dock
 Section: x11
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Cairo-dock Maintainers <team+pkg-cairo-dock-devel@tracker.debian.org>
+Maintainer: Debian Cairo-dock Maintainers <team+pkg-cairo-dock-devel@tracker.debian.org>
 Uploaders: Nobuhiro Iwamatsu <iwamatsu@debian.org>,
  Youhei SASAKI <uwabami@gfd-dennou.org>
 Build-Depends: cdbs, quilt, debhelper (>= 10), dpkg-dev (>= 1.16.1~),

=== debian/rules ===
#!/usr/bin/make -f

DPKG_EXPORT_BUILDFLAGS = 1
include /usr/share/dpkg/buildflags.mk
CFLAGS+=$(CPPFLAGS)
CXXFLAGS+=$(CPPFLAGS)

include /usr/share/cdbs/1/rules/debhelper.mk
include /usr/share/cdbs/1/class/cmake.mk
include /usr/share/cdbs/1/rules/patchsys-quilt.mk

# DEB_CONFIGURE_USER_FLAGS= --enable-xextend
DEB_CMAKE_EXTRA_FLAGS += \
	-Denable-desktop-manager=ON \
	-DCMAKE_INSTALL_LIBDIR=lib/$(DEB_HOST_MULTIARCH)
clean::
	rm -f src/config.h
	rm -f src/gldit/gldi-config.h
	rm -f src/gldit/gldi-module-config.h
